Package org.apache.commons.daemon

# Interface DaemonUserSignal

public interface DaemonUserSignal
Tags a Daemon as supporting some kind of signaling method that allows the java application to perform a custom action.

User must implement a signal method that will be called from native upon receiving `SIGUSR2` signal from the operating system.

Version:
  $Id: DaemonUserSignal.java 1204010 2011-11-19 16:15:23Z ggregory $
Author:
  Nick Griffiths invalid input: '<'nicobrevin@gmail.com>, Mladen Turk invalid input: '<'mturk@apache.org>

## Method Summary

Modifier and Type
Method
Description
`void`
`signal()`
Performs a custom action on received user signal.

## Method Details

### signal

void signal()
Performs a custom action on received user signal.